LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

FPGA Compile Worker Crashes When Trying to Compile FPGA Project

When I try to compile my FPGA project on LabVIEW, I get the following error message.

 

Due to bad installation or configuration, the compile worker does not have any compile
capability. Please fix any issues and restart.

I had gone through this website https://knowledge.ni.com/KnowledgeArticleDetails?id=kA00Z0000019XdISAU&l=en-IN as I am beginner in FPGA, I am not able to understand how to solve this error

please provide detailed explanation.

Thanks in advance.

0 Kudos
Message 1 of 9
(189 Views)

What hardware are you trying to compile for, what LabVIEW version are you using, and what compile tools have you installed?

Matt J
National Instruments | CLA
0 Kudos
Message 2 of 9
(165 Views)

I am using myRIO, LabVIEW 2018 along with myRIO Toolkit, LabVIEW Real time module, LabVIEW FPGA 2018, Xilinx compilation Toolkit for Vivado 2017.2

0 Kudos
Message 3 of 9
(163 Views)

Did you get any progress on the error fixing? I had the same error with you. My environment is

 

SBrio 9627

LabVIEW 2018 32bit

Real-time 2018 sp1

FPGA 2018

NI compactRIO driver 18.5

Xilinx Compilation Tool for Vivado 2017.2.

 

It told me to activate the "NI application web server" in PC service, i did that without any effect.

0 Kudos
Message 4 of 9
(123 Views)

yes, i had solved my issue. Try to download LabVIEW software platform Bundle Spring in that select LabVIEW, Real-Time Module, FPGA Module, myRIO Toolkit, FPGA Compile Farm Toolkit, Xilinx FPGA Compilation Tool for ISE 14.7 or Xilinx FPGA Compilation Tool for Vivado 2017.2.

http://www.ni.com/en-in/support/downloads/software-products/download.software-platform-bundle.html#3...

in my case i had downloaded LabVIEW software platform Bundle Spring 2018.

but now it is locked. 2019 is available try to download it and install. check you have solved the issue or not. please post if you solved or not it will be useful for further readers.

0 Kudos
Message 5 of 9
(112 Views)

This error happens because of Software incompatibility. i think

 

0 Kudos
Message 6 of 9
(106 Views)

Thanks!

I'm downloading the platform bundle, one more question, did you uninstall everything of NI before installing the bundle?

0 Kudos
Message 7 of 9
(104 Views)

Yes, I had removed every thing from package manager

0 Kudos
Message 8 of 9
(100 Views)

My issue fixed as well, it related to the OS system, i changed the laptop and installed the software as before. It works.

For the software platform bundle 2019, it didn't include the Xilinx FPGA Compilation Tool for Vivado 2017.2.

2018 is full of software, but it's locked now. 

 

 

 

0 Kudos
Message 9 of 9
(85 Views)